#!/bin/bash

ip addr add 2001:db8::4/96 dev j_to_world
ip addr add 192.0.2.4/24 dev j_to_world
ip addr add 2001:db8:ff08::4/96 dev j_to_k

ip addr add 2001:db8::1/96 dev j_to_world
ip addr add 192.0.2.1/24 dev j_to_world

sysctl -w net.ipv4.conf.all.forwarding=1
sysctl -w net.ipv6.conf.all.forwarding=1

modprobe jool
jool instance add --netfilter --pool6 64:ff9b::/96
jool pool4 add --tcp 192.0.2.1 61001-65535
jool pool4 add --udp 192.0.2.1 61001-65535
jool pool4 add --icmp 192.0.2.1 0-65535

jool global update ss-enabled true
