#!/bin/bash

sudo ip netns add j
sudo ip link add name world_to_j type veth peer name j_to_world
sudo ip link set dev j_to_world netns j

sudo ip netns add k
sudo ip link add name world_to_k type veth peer name k_to_world
sudo ip link set dev k_to_world netns k

sudo ip link add name j_to_k type veth peer name k_to_j
sudo ip link set dev j_to_k netns j
sudo ip link set dev k_to_j netns k

sudo ip link set up dev world_to_j
sudo ip link set up dev world_to_k
sudo ip netns exec j ip link set up dev j_to_world
sudo ip netns exec j ip link set up dev j_to_k
sudo ip netns exec k ip link set up dev k_to_world
sudo ip netns exec k ip link set up dev k_to_j

./n6,n4.sh
sudo ip netns exec j ./j.sh
sudo ip netns exec k ./k.sh

sudo ip netns exec j joold netsocket_j.json &
sudo ip netns exec k joold netsocket_k.json &
