#!/bin/bash

ip addr add 2001:db8::5/96 dev k_to_world
ip addr add 192.0.2.5/24 dev k_to_world
ip addr add 2001:db8:ff08::5/96 dev k_to_j




sysctl -w net.ipv4.conf.all.forwarding=1
sysctl -w net.ipv6.conf.all.forwarding=1

modprobe jool
jool instance add --netfilter --pool6 64:ff9b::/96
jool pool4 add --tcp 192.0.2.1 61001-65535
jool pool4 add --udp 192.0.2.1 61001-65535
jool pool4 add --icmp 192.0.2.1 0-65535

jool global update ss-enabled true
